package statistic

import "github.com/gofiber/fiber/v2"

func (r *Statistic) Register(router fiber.Router) {
	router.Post("/statistic/:quizID/devices", r.GetDeviceStatistics)
	router.Post("/statistic/:quizID/general", r.GetGeneralStatistics)
	router.Post("/statistic/:quizID/questions", r.GetQuestionsStatistics)
	router.Post("/statistic", r.AllServiceStatistics)
	router.Get("/statistics/:quizID/pipelines", r.GetPipelinesStatistics)
}

func (r *Statistic) Name() string {
	return ""
}
